epp_HostInfoRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.host.epp_HostInfoRsp class

### org.openrtk.idl.epp02.host

# Class epp_HostInfoRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.host.epp_HostInfoRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostInfoRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/host/epp_HostInfoRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_host.idl Thursday, July 26, 2001 6:26:09 PM EDT

  ## Field Summary
  `epp_HostAddress[]` | `m_addresses`
  `String` | `m_client_id`
  `String` | `m_created_by`
  `String` | `m_created_date`
  `boolean` | `m_linked`
  `String` | `m_name`
  `String` | `m_roid`
  `epp_Response` | `m_rsp`
  `epp_HostStatus[]` | `m_status`
  `String` | `m_transfer_date`
  `String` | `m_updated_by`
  `String` | `m_updated_date`

  ## Constructor Summary
  `epp_HostInfoRsp()`
  `epp_HostInfoRsp(epp_Response _m_rsp, String _m_name, String _m_roid, boolean _m_linked, epp_HostStatus[] _m_status, epp_HostAddress[] _m_addresses, String _m_client_id, String _m_created_by, String _m_created_date, String _m_updated_by, String _m_updated_date, String _m_transfer_date)`

  ## Method Summary
  `epp_HostAddress[]` | `getAddresses()`
  `String` | `getClientId()`
  `String` | `getCreatedBy()`
  `String` | `getCreatedDate()`
  `boolean` | `getLinked()`
  `String` | `getName()`
  `String` | `getRoid()`
  `epp_Response` | `getRsp()`
  `epp_HostStatus[]` | `getStatus()`
  `String` | `getTransferDate()`
  `String` | `getUpdatedBy()`
  `String` | `getUpdatedDate()`
  `void` | `setAddresses(epp_HostAddress[] value)`
  `void` | `setClientId(String value)`
  `void` | `setCreatedBy(String value)`
  `void` | `setCreatedDate(String value)`
  `void` | `setLinked(boolean value)`
  `void` | `setName(String value)`
  `void` | `setRoid(String value)`
  `void` | `setRsp(epp_Response value)`
  `void` | `setStatus(epp_HostStatus[] value)`
  `void` | `setTransferDate(String value)`
  `void` | `setUpdatedBy(String value)`
  `void` | `setUpdatedDate(String value)`
  `String` | `toString()`

## Field Details

### m_addresses

    public epp_HostAddress[] m_addresses

### m_client_id

    public String m_client_id

### m_created_by

    public String m_created_by

### m_created_date

    public String m_created_date

### m_linked

    public boolean m_linked

### m_name

    public String m_name

### m_roid

    public String m_roid

### m_rsp

    public epp_Response m_rsp

### m_status

    public epp_HostStatus[] m_status

### m_transfer_date

    public String m_transfer_date

### m_updated_by

    public String m_updated_by

### m_updated_date

    public String m_updated_date

## Constructor Details

### epp_HostInfoRsp

    public epp_HostInfoRsp()

### epp_HostInfoRsp

    public epp_HostInfoRsp(epp_Response _m_rsp,
                           String _m_name,
                           String _m_roid,
                           boolean _m_linked,
                           epp_HostStatus[] _m_status,
                           epp_HostAddress[] _m_addresses,
                           String _m_client_id,
                           String _m_created_by,
                           String _m_created_date,
                           String _m_updated_by,
                           String _m_updated_date,
                           String _m_transfer_date)

## Method Details

### getAddresses

    public epp_HostAddress[] getAddresses()

### getClientId

    public String getClientId()

### getCreatedBy

    public String getCreatedBy()

### getCreatedDate

    public String getCreatedDate()

### getLinked

    public boolean getLinked()

### getName

    public String getName()

### getRoid

    public String getRoid()

### getRsp

    public epp_Response getRsp()

### getStatus

    public epp_HostStatus[] getStatus()

### getTransferDate

    public String getTransferDate()

### getUpdatedBy

    public String getUpdatedBy()

### getUpdatedDate

    public String getUpdatedDate()

### setAddresses

    public void setAddresses(epp_HostAddress[] value)

### setClientId

    public void setClientId(String value)

### setCreatedBy

    public void setCreatedBy(String value)

### setCreatedDate

    public void setCreatedDate(String value)

### setLinked

    public void setLinked(boolean value)

### setName

    public void setName(String value)

### setRoid

    public void setRoid(String value)

### setRsp

    public void setRsp(epp_Response value)

### setStatus

    public void setStatus(epp_HostStatus[] value)

### setTransferDate

    public void setTransferDate(String value)

### setUpdatedBy

    public void setUpdatedBy(String value)

### setUpdatedDate

    public void setUpdatedDate(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS